class Class1: #Объявление класса Class1 в модуле
    def zad_zn(self,znach): # 1 Метод класса
        self.data=znach # self - ссылка на экземпляр класса Class1
    def otobrazh(self): # 2 Метод класса
        print(self.data)#Отображение данных экземпляра

class Class2(Class1): #Class2 - наследник класса Class1
    def otobrazh(self): # Метод класса Class2
        print('значение=',self.data)#Отображение данных экземпляра

def otobrazh(objekt): #Объявление самостоятельной функции
    print('значение объекта=',objekt)

class Class3(Class2): #Наследник класса Class2, а через него – и класса Class1
    def __init__(self,znach): #Конструктор-вызывается при создании нового экземпляра класса
        self.data=znach
    def __add__(self,drug_zn): #Вызывается, когда экземпляр участвует в операции «+»
        return Class3(self.data+drug_zn)
    def zad_dr_zn(self,povtor): #А это - обычный метод
        self.data*=povtor
